#ifndef EXTRAINFODIALOG_H
#define EXTRAINFODIALOG_H

#include "ui_extrainfodialog.h"

class ExtraInfoDialog : public QDialog
{
    Q_OBJECT

public:
    ExtraInfoDialog(QWidget* parent = 0);

    virtual QString getComment();
    virtual QString getAuthor();
    virtual void setStats( const QString & s );

public slots:
    virtual void setMapName( const QString & s );
    virtual void setComment( const QString & s );
    virtual void setAuthor( const QString & s );

private:
	Ui::ExtraInfoDialog ui;

};

#endif // EXTRAINFODIALOG_H
