#ifndef BRANCHPROPERTYWINDOW_H
#define BRANCHPROPERTYWINDOW_H

#include "ui_branchpropwindow.h"

#include "branchobj.h"
#include "mapeditor.h"

class BranchPropertyWindow:public QDialog
{
	Q_OBJECT
public:
	BranchPropertyWindow (QWidget *parent=0);
	void setBranch (BranchObj *);
	void setMapEditor (MapEditor *);

private slots:
	void frameTypeChanged (int);
	void framePenColorClicked ();
	void frameBrushColorClicked ();
	void linkHideUnselectedChanged (int);

private:
	Ui::BranchPropertyWindow ui;

	BranchObj *branch;
	MapEditor *mapEditor;

	QColor penColor;	// FIXME replace this with Palette
	QColor brushColor;
};

#endif // 
