#ifndef TOOLBARS_H
#define TOOLBARS_H

#include <QToolBar>

#include "settings.h"

class ToolBar:public QToolBar
{
	Q_OBJECT

public:
	void loadSettings (const Settings &);
	void saveSettings (const Settings &);

private:
};

/////////////////////////////////////////////////////////////////////////////
class ToolBarSet
{
public:
	ToolBarSet();
	void loadSettings(const Settings &);	
	void saveSettings(const Settings &);	
	void add (QToolBar *);
private:
	QList <ToolBar*> list;
};

#endif
